Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.shipping
Class ShippingMethodPk

    java.lang.Object
      com.beasys.commerce.foundation.SmartKey
          com.beasys.commerce.ebusiness.shipping.ShippingMethodPk

All Implemented Interfaces
  Serializable, Comparable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class ShippingMethodPk

extends SmartKey
implements Serializable

This is a PrimaryKey for managing the life cycle of a BSC Configurable/Entity bean. It is derived from SmartKey which requires that the classes be serializable and comparable. This class is generated by Theory Center's SmartGenartor.

See Also
  Serialized Form

Field Summary
`String` | `identifier` Deprecated See BEA Commerce product offering

Constructor Summary
`ShippingMethodPk()` Deprecated See BEA Commerce product offering
`ShippingMethodPk(String identifier)` Deprecated See BEA Commerce product offering

Method Summary
`int` | `compareTo(Object o)` Deprecated See BEA Commerce product offering
`int` | `hashCode()` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.foundation.SmartKey
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### identifier

    public String identifier

  Deprecated See BEA Commerce product offering

Constructor Detail

### ShippingMethodPk

    public ShippingMethodPk()

  Deprecated See BEA Commerce product offering

  Default constructor.

### ShippingMethodPk

    public ShippingMethodPk(String identifier)

  Deprecated See BEA Commerce product offering

  Constructor that takes in all of the primary key attributes as parameters. All attribute values will be set to the input parameter values.

Method Detail

### compareTo

    public int compareTo(Object o)

  Deprecated See BEA Commerce product offering

  Implements the compareTo method. The following conditions hold true:

         (a > b) ==> (b < a)
         (a < b) ==> (b > a)
         (a = b) ==> (b = a)

  Specified by:
    `compareTo` in interface `Comparable`
  Specified by:
    `compareTo` in class `SmartKey`
  Parameters
    `o` - the Object to be compared.
  Returns
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Returns the stringified version of the key class.

  Overrides:
    `toString` in class `SmartKey`
  Returns
    A `String` representation of the SmartKey.

### hashCode

    public int hashCode()

  Deprecated See BEA Commerce product offering

  override the hashCode() method

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved